Package com.arms.api.blog.service

## Class BlogServiceImpl

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl
  - - com.arms.api.blog.service.BlogServiceImpl

- All Implemented Interfaces:
    `BlogService`, `TreeService`

      @Service("blogService")
      public class BlogServiceImpl
      extends TreeServiceImpl
      implements BlogService

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BlogServiceImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BlogEntity` | `addBlog​(BlogDTO blogDTO)` |
    `BlogDTO` | `getBlog​(BlogDTO blogDTO)` |
    `java.util.List<BlogEntity>` | `getLatestBlogList​(BlogDTO blogDto)` |
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getPaginatedBlogList​(BlogDTO blogDTO, int pageIndex, int pageUnit)` | 전체 블로그 리스트를 최신순 + 페이징 처리하여 반환
    `java.util.List<BlogDTO>` | `getPopularBlogList​(BlogDTO blogDTO)` |
    `java.util.List<BlogEntity>` | `getRecommendedBlogList​(BlogDTO blogDTO)` |
    `int` | `removeBlog​(BlogDTO blogDTO)` |
    `protected void` | `removeBlogEngine​(BlogDTO blogDTO)` |
    `BlogVO` | `searchBlogList​(BlogDTO blogDTO)` |
    `BlogEntity` | `updateBlog​(BlogDTO blogDTO)` |
    `protected void` | `updateBlogEngine​(BlogDTO blogDTO)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl

      `addNode, alterNode, alterNodeType, calculatePosition, cutMyself, enterMyselfFixLeftRight, enterMyselfFromTree, fixPositionParentIdOfCopyNodes, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, newInstance, overwriteNode, pasteMyselfFromTree, removeNode, saveOrUpdateList, searchNode, stretchLeft, stretchLeftRightForMyselfFromTree, stretchPositionForMyselfFromTree, stretchRight, updateField, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.arms.egovframework.javaservice.treeframework.service.TreeService

      `addNode, alterNode, alterNodeType, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, overwriteNode, removeNode, searchNode, updateField, updateNode`

- - ### Constructor Detail

    - #### BlogServiceImpl

          public BlogServiceImpl()

  - ### Method Detail

    - #### getBlog

          @Transactional(readOnly=true)
          public BlogDTO getBlog​(BlogDTO blogDTO)
                          throws java.lang.Exception

      Specified by:
        `getBlog` in interface `BlogService`
      Throws:
        `java.lang.Exception`

    - #### addBlog

          @Transactional
          public BlogEntity addBlog​(BlogDTO blogDTO)
                             throws java.lang.Exception

      Specified by:
        `addBlog` in interface `BlogService`
      Throws:
        `java.lang.Exception`

    - #### updateBlog

          @Transactional
          public BlogEntity updateBlog​(BlogDTO blogDTO)
                                throws java.lang.Exception

      Specified by:
        `updateBlog` in interface `BlogService`
      Throws:
        `java.lang.Exception`

    - #### updateBlogEngine

          @Async
          protected void updateBlogEngine​(BlogDTO blogDTO)

    - #### removeBlog

          @Transactional
          public int removeBlog​(BlogDTO blogDTO)
                         throws java.lang.Exception

      Specified by:
        `removeBlog` in interface `BlogService`
      Throws:
        `java.lang.Exception`

    - #### removeBlogEngine

          @Async
          protected void removeBlogEngine​(BlogDTO blogDTO)

    - #### getLatestBlogList

          @Transactional(readOnly=true)
          public java.util.List<BlogEntity> getLatestBlogList​(BlogDTO blogDto)
                                                       throws java.lang.Exception

      Specified by:
        `getLatestBlogList` in interface `BlogService`
      Throws:
        `java.lang.Exception`

    - #### getPopularBlogList

          public java.util.List<BlogDTO> getPopularBlogList​(BlogDTO blogDTO)

      Specified by:
        `getPopularBlogList` in interface `BlogService`

    - #### getPaginatedBlogList

          @Transactional(readOnly=true)
          public java.util.Map<java.lang.String,​java.lang.Object> getPaginatedBlogList​(BlogDTO blogDTO,
                                                                                             int pageIndex,
                                                                                             int pageUnit)
                                                                                      throws java.lang.Exception

      전체 블로그 리스트를 최신순 + 페이징 처리하여 반환
      Specified by:
        `getPaginatedBlogList` in interface `BlogService`
      Parameters:
        `blogDTO` - , pageIndex, pageUnit
      Returns:
        Map
      Throws:
        `java.lang.Exception`

    - #### getRecommendedBlogList

          @Transactional(readOnly=true)
          public java.util.List<BlogEntity> getRecommendedBlogList​(BlogDTO blogDTO)
                                                            throws java.lang.Exception

      Specified by:
        `getRecommendedBlogList` in interface `BlogService`
      Throws:
        `java.lang.Exception`

    - #### searchBlogList

          @Transactional(readOnly=true)
          public BlogVO searchBlogList​(BlogDTO blogDTO)

      Specified by:
        `searchBlogList` in interface `BlogService`